#
# spec file for package xine-ui (Version 0.99.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base aalib aalib-devel acl alsa atk attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cpp41 cracklib cups-libs curl curl-devel cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale glitz gnome-filesystem gpm grep groff gtk2 gzip info insserv klogd krb5 less libacl libattr libcom_err libdrm libgcc41 libidn libidn-devel libjpeg liblcms libltdl libmng libmudflap41 libnscd libogg libpng libpng-devel libsmbclient libstdc++41 libtheora libtiff libtool libvolume_id libvorbis libxcrypt libzio linux-kernel-headers lirc m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules pango patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline readline-devel rpm sed speex strace sysvinit tar tcpd texinfo timezone udev unzip update-desktop-files util-linux vim xine-devel xine-lib xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           xine-ui
BuildRequires:  aalib-devel curl-devel libpng-devel lirc readline-devel update-desktop-files xine-devel xorg-x11-devel
Summary:        video player with plugins
Version:        0.99.4
Release:        84.5
License:        GPL v2 or later; Public Domain, Freeware
Group:          Productivity/Multimedia/Video/Players
Url:            http://xine.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       xine:/usr/bin/xine
Source:         xine-ui-%version.tar.bz2
Source1:        xine-ui.png
Source2:        xine-ui-crippled.png
Source99:       baselibs.conf
# *** xine-lib: Bugfixes
Patch0:         xine-ui-various.diff
Patch1:         xine-ui-logopng.diff
Patch20:        xine-ui-fix-gcc-warnings-COMMITTED.diff
Patch21:        xine-ui-snapshot-COMMITTED.diff
Patch22:        xine-ui-sharedpixmap-COMMITTED.diff
Patch23:        xine-ui-playlist-security-COMMITTED.diff
Patch24:        xine-ui-sprintf-COMMITTED.diff
Patch25:        xine-ui-strverscmp-COMMITED.diff
Patch26:        xine-ui-formatstrings-COMMITTED.diff
Patch27:        xine-ui-bug353529.diff
# *** SUSE only changes
Patch50:        xine-ui-crippled-LOCAL.diff
Patch60:        xine-ui-AUTOMAKE.diff

%description
Xine is a video player with a graphical front-end that supports a large
number of file formats (i.e., VCD, MPEG2) using plug-ins. Several
plug-ins are included. Others can be post-installed. Supports stereo
sound using OSS and AC5.1 using Alsa.

This version of xine may lack certain features because of legal
requirements (potential patent violation). See also
http://www.opensuse.org/XINE#Legal_Matters

More information about Xine plug-ins can be found at
http://www.xinehq.de/



Authors:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%debug_package
%prep
%setup -q
%patch0
%patch1
%patch20 -p1
%patch21 -p2
%patch22 -p1
%patch23
%patch24
%patch25
%patch26
%patch27 -p1
%patch50
%patch60

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
# ignore nonupdated automake+co files
rm -f missing ; touch missing
./configure \
	--prefix=%{_prefix} \
	--mandir=%_mandir \
	--libdir=%_libdir \
	--enable-vdr-keys --disable-shm
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT%{_defaultdocdir}
mv $RPM_BUILD_ROOT/usr/share/doc/xine-ui $RPM_BUILD_ROOT%{_defaultdocdir}/xine-ui
mv $RPM_BUILD_ROOT/usr/share/doc/xitk $RPM_BUILD_ROOT%{_defaultdocdir}/xine-ui
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/
rm $RPM_BUILD_ROOT/usr/share/xine/desktop/xine.desktop 
rmdir $RPM_BUILD_ROOT/usr/share/xine/desktop
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/usr/share/xine/skins/xine-ui_logo.png
rm -f $RPM_BUILD_ROOT/usr/share/xine/skins/xine-ui_logo.mpv
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/usr/share/xine/skins/xine-ui_logo-crippled.png
%suse_update_desktop_file -i xine AudioVideo Player Video

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %_mandir/??
%dir %_mandir/??/man1
%doc %_mandir/*/man1/xine.1.gz
%doc %_mandir/*/man1/xine-check.1.gz
%doc %_mandir/*/man1/xine-remote.1.gz
%doc %_mandir/*/man1/aaxine*
%doc %_mandir/man1/aaxine*
%doc %_mandir/man1/xine.1.gz
%doc %_mandir/man1/xine-check.1.gz
%doc %_mandir/man1/xine-remote.1.gz
/usr/bin/aaxine
/usr/bin/fbxine
/usr/bin/xine
/usr/bin/xine-check
/usr/bin/xine-remote
%dir /usr/share/xine/skins
/usr/share/xine/skins/xine-ui_logo.png
/usr/share/xine/skins/xine-ui_logo-crippled.png
/usr/share/xine/skins/xine_splash.png
/usr/share/xine/skins/xinetic
%dir /usr/share/xine/visuals
/usr/share/xine/visuals/default.avi
/usr/share/applications/xine.desktop
/usr/share/xine/oxine
/usr/share/locale/*/LC_MESSAGES/*
/usr/share/pixmaps/*
%_defaultdocdir/xine-ui
%doc %_mandir/*/man1/xine-bugreport.1.gz
%doc %_mandir/man1/xine-bugreport.1.gz
/usr/bin/xine-bugreport

%changelog
* Wed Jan 16 2008 - mhopf@suse.de
- UI crippled after xserver security update. #353529
* Fri Jan 12 2007 - mhopf@suse.de
- Security: Fix multiple missing "%%s" formatstrings. #233516
* Wed Oct 11 2006 - mhopf@suse.de
- Fixed for building w/o automake.
- Spec file cleanup.
* Tue Oct 10 2006 - mhopf@suse.de
- Fixed detection of crippled package for general playback (mpeg2 + ffmpeg).
* Wed Sep 27 2006 - lnussel@suse.de
- build package separate from xine-lib
